Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters
Interface Named

All Known Subinterfaces:
  ContactSource

All Known Implementing Classes:
  Agent, AgentGroup, AgentGroupSet, Call, Contact, ContactArrivalProcess, DetailedAgentGroup, Dialer, DirichletArrivalProcess, DirichletCompoundArrivalProcess, FixedCountsArrivalProcess, NORTADrivenArrivalProcess, PeriodChangeEvent, PiecewiseConstantPoissonArrivalProcess, PoissonArrivalProcess, PoissonArrivalProcessWithInversion, PoissonArrivalProcessWithRandomRates, PoissonArrivalProcessWithThinning, PoissonArrivalProcessWithTimeIntervals, PoissonGammaArrivalProcess, PoissonGammaNortaRatesArrivalProcess, PoissonUniformArrivalProcess, PriorityWaitingQueue, QueueWaitingQueue, StandardWaitingQueue, StationaryContactArrivalProcess, TrunkGroup, WaitingQueue, WaitingQueueSet

    public interface Named

Represents an object having a name.

Method Summary
`String` | `getName()` Returns the name associated with this object.
`void` | `setName(String name)` Sets the name of this object to `name`.

Method Detail

### getName

    String getName()

  Returns the name associated with this object. If no name was set, this must return an empty string, not `null`.

  Returns:
    the name of this object.

### setName

    void setName(String name)

  Sets the name of this object to `name`. The given name cannot be `null` and the implementation can throw an `UnsupportedOperationException` if the name is read-only.

  Parameters:
    `name` - the new name of the object.
  Throws:
    `UnsupportedOperationException` - if the name cannot be changed.
    `NullPointerException` - if `name` is `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.